Subject: Re: bug#57113: 29.0.50; Confusing icon customization interface

From: Po Lu <[email-masked]>
Date: Sat, 13 Aug 2022 20:14:05 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> Po Lu <[email-masked]> writes:
>
>> My point is that customize-icon should be more like customize-face,
>> because so far I have no idea how to use it to change the arrow Emoji
>> into a PBM, and the manual does not help either.
>>
>> See customize-face for something that does work.
>
> Yeah, any user understands this gorgeous interface immediately:

I know that's supposed to be sarcasm, but yes, what it does is
immediately obvious, "Box around text", "Width", "Vertical", "Color",
"Foreground", "Background" and "Inherit" tell you much more than
"Plist", "Repeat" and "Choice".

> Anyway, icons are more complicated than faces.

Why? If they really are that complicated, they should be made simpler.